LLVM: lldb::SBValueList Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBValueList Class Reference

`#include <SBValueList.h>`

## Public Member Functions
| SBValueList ()
| SBValueList (const lldb::SBValueList &rhs)
| ~SBValueList ()
bool | IsValid () const
void | Clear ()
void | Append (const lldb::SBValue &val_obj)
void | Append (const lldb::SBValueList &value_list)
uint32_t | GetSize () const
lldb::SBValue | GetValueAtIndex (uint32_t idx) const
lldb::SBValue | FindValueObjectByUID (lldb::user_id_t uid)
const lldb::SBValueList & | operator= (const lldb::SBValueList &rhs)

## Protected Member Functions
void * | opaque_ptr ()

## Friends
class | SBFrame

## Detailed Description

Definition at line 19 of file SBValueList.h.

## Constructor & Destructor Documentation

lldb::SBValueList::SBValueList | ( |  | ) |

lldb::SBValueList::SBValueList | ( | const lldb::SBValueList & | rhs | ) |

lldb::SBValueList::~SBValueList | ( |  | ) |

## Member Function Documentation

void lldb::SBValueList::Append | ( | const lldb::SBValue & | val_obj | ) |

void lldb::SBValueList::Append | ( | const lldb::SBValueList & | value_list | ) |

void lldb::SBValueList::Clear | ( |  | ) |

lldb::SBValue lldb::SBValueList::FindValueObjectByUID | ( | lldb::user_id_t | uid | ) |

uint32_t lldb::SBValueList::GetSize | ( |  | ) | const

lldb::SBValue lldb::SBValueList::GetValueAtIndex | ( | uint32_t | idx | ) | const

bool lldb::SBValueList::IsValid | ( |  | ) | const

void* lldb::SBValueList::opaque_ptr | ( |  | ) |
| protected

const lldb::SBValueList& lldb::SBValueList::operator= | ( | const lldb::SBValueList & | rhs | ) |

## Friends And Related Function Documentation

friend class SBFrame
| friend

Definition at line 61 of file SBValueList.h.

The documentation for this class was generated from the following file:

- SBValueList.h